Skip to main content
GET
/
v1
/
transcription
/
jobs
/
{id}
Get a transcription job
curl --request GET \
  --url https://api.pyai.com/v1/transcription/jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "job_aZ09...",
  "created_at": 123,
  "updated_at": 123,
  "result": {
    "text": "<string>",
    "speakers": 123,
    "audio_seconds": 123,
    "segments": [
      {
        "id": 123,
        "start": 123,
        "end": 123,
        "text": "<string>",
        "speaker": "<string>",
        "channel": 123
      }
    ],
    "words": [
      {}
    ],
    "formats": {}
  },
  "result_url": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer pyai_live_... (or pyai_test_...).

Path Parameters

id
string
required

Response

Job

job_id
string
Example:

"job_aZ09..."

status
enum<string>
Available options:
queued,
running,
completed,
failed,
cancelled
created_at
integer

Unix ms.

updated_at
integer

Unix ms.

result
object

Present on completed jobs (inline). Large results are offloaded to result_url instead.

result_url
string<uri>

Signed GET URL for an offloaded large result.

error
string

Present on failed jobs.